For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList tools
      • POSTCreate tool
      • GETList built-in tools
      • GETList compatible built-in tools
      • GETGet built-in tool schema
      • POSTConvert flow to tool
      • POSTDeploy Runtype Sandbox
      • DELCleanup Runtype Sandbox
      • POSTDeploy Daytona sandbox
      • DELCleanup Daytona sandbox
      • GETGet tool schemas
      • GETGet tool details
      • PUTUpdate tool
      • DELDelete tool
      • POSTExecute tool
      • POSTTest tool
Dashboard
LogoLogo
Runtype APITools

Deploy Runtype Sandbox

POST
/v1/tools/sandbox/cf-sandbox/deploy
POST
/v1/tools/sandbox/cf-sandbox/deploy
$curl -X POST https://api.runtype.com/v1/tools/sandbox/cf-sandbox/deploy \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "sandboxId": "sandbox-7f3e2a9b",
3 "status": "deployed",
4 "error": "",
5 "output": "Deployment completed successfully with no errors.",
6 "previewUrl": "https://sandbox.runtype.com/preview/abc123",
7 "stage": "production"
8}
Deploy code to a persistent Runtype Sandbox container and return a preview URL.
Was this page helpful?
Previous

Cleanup Runtype Sandbox

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects a map from strings to any.

Response

Sandbox deployment result
sandboxIdstring
statusstring
errorstring
outputstring
previewUrlstring
stagestring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error